gr::cdma::switched_peak_detector_fb Class Referenceabstract

<+description of block+> More...

`#include <switched_peak_detector_fb.h>`

Inheritance diagram for gr::cdma::switched_peak_detector_fb:
[legend]

## Public Types

typedef boost::shared_ptr< switched_peak_detector_fb > | sptr

## Public Member Functions

virtual void | set_threshold_factor_rise (float thr)=0
virtual void | set_threshold_factor_fall (float thr)=0
virtual void | set_look_ahead (int look)=0
virtual void | set_alpha (float alpha)=0
virtual void | set_on (int on)=0
virtual float | threshold_factor_rise ()=0
virtual float | threshold_factor_fall ()=0
virtual int | look_ahead ()=0
virtual float | alpha ()=0
virtual int | on ()=0

## Static Public Member Functions

static sptr | make (float threshold_factor_rise=0.25, float threshold_factor_fall=0.40, int look_ahead=10, float alpha=0.001, int on=1)
| Return a shared_ptr to a new instance of cdma::switched_peak_detector_fb. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<switched_peak_detector_fb> gr::cdma::switched_peak_detector_fb::sptr

## Member Function Documentation

## alpha()

virtual float gr::cdma::switched_peak_detector_fb::alpha | ( |  | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## look_ahead()

virtual int gr::cdma::switched_peak_detector_fb::look_ahead | ( |  | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## make()

static sptr gr::cdma::switched_peak_detector_fb::make | ( | float | threshold_factor_rise = `0.25`,
|  | float | threshold_factor_fall = `0.40`,
|  | int | look_ahead = `10`,
|  | float | alpha = `0.001`,
|  | int | on = `1`
| ) |  |

static

Return a shared_ptr to a new instance of cdma::switched_peak_detector_fb.

To avoid accidental use of raw pointers, cdma::switched_peak_detector_fb's constructor is in a private implementation class. cdma::switched_peak_detector_fb::make is the public interface for creating new instances.

## on()

virtual int gr::cdma::switched_peak_detector_fb::on | ( |  | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## set_alpha()

virtual void gr::cdma::switched_peak_detector_fb::set_alpha | ( | float | alpha | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## set_look_ahead()

virtual void gr::cdma::switched_peak_detector_fb::set_look_ahead | ( | int | look | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## set_on()

virtual void gr::cdma::switched_peak_detector_fb::set_on | ( | int | on | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## set_threshold_factor_fall()

virtual void gr::cdma::switched_peak_detector_fb::set_threshold_factor_fall | ( | float | thr | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## set_threshold_factor_rise()

virtual void gr::cdma::switched_peak_detector_fb::set_threshold_factor_rise | ( | float | thr | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## threshold_factor_fall()

virtual float gr::cdma::switched_peak_detector_fb::threshold_factor_fall | ( |  | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

## threshold_factor_rise()

virtual float gr::cdma::switched_peak_detector_fb::threshold_factor_rise | ( |  | ) |

pure virtual

Implemented in gr::cdma::switched_peak_detector_fb_impl.

The documentation for this class was generated from the following file:

- switched_peak_detector_fb.h